;InnoSetupVersion=4.1.6

[Setup]
AppName=Repton 1 - Trial Version
AppVerName=Repton 1 (Trial Version 1.3)
AppId=Repton 1 - Trial Version
AppPublisher=Superior Interactive
AppPublisherURL=http://www.superiorinteractive.com
AppSupportURL=http://www.superiorinteractive.com
AppUpdatesURL=http://www.superiorinteractive.com
DefaultDirName={pf}\Superior Interactive\Repton 1\Trial Version
DefaultGroupName=Superior Interactive\Repton 1\Trial Version
OutputBaseFilename=Setup13-trial-affiliate
Compression=lzma
PrivilegesRequired=none
ExtraDiskSpaceRequired=11421504
DisableProgramGroupPage=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\InstRep.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Finish.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\r1game.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\r1resource.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\eula.rtf"; DestDir: "{app}"; Flags: ignoreversion 

[Dirs]
Name: "{app}\Profiles"; 

[Registry]
Root: HKCU; Subkey: "Software\Superior Interactive\Repton 1 Trial"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Superior Interactive\Repton 1 Trial"; ValueName: "Fullscreen"; ValueType: Dword; ValueData: "$1"; 
Root: HKCU; Subkey: "Software\Superior Interactive\Repton 1 Trial"; ValueName: "Setup Filename"; ValueType: String; ValueData: "{srcexe}"; 

[INI]
FileName: "{app}\si.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.superiorinteractive.com"; 

[Run]
Filename: "{app}\InstRep.exe"; Parameters: "X"; WorkingDir: "{app}"; 
Filename: "{app}\Finish.exe"; WorkingDir: "{app}"; 
Filename: "{app}\InstRep.exe"; WorkingDir: "{app}"; 
Filename: "{app}\r1game.exe"; Description: "Play Repton 1 now"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Repton 1 - Trial Version"; Filename: "{app}\r1game.exe"; WorkingDir: "{app}"; 
Name: "{group}\Visit www.superiorinteractive.com"; Filename: "{app}\si.url"; 
Name: "{group}\Uninstall Repton 1 - Trial Version"; Filename: "{app}\unins000.exe"; WorkingDir: "{app}"; 
Name: "{userdesktop}\Repton 1 - Trial Version"; Filename: "{app}\r1game.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Repton 1 - Trial Version "; Filename: "{app}\r1game.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop shortcut for Repton 1 - Trial Version"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon for Repton 1 - Trial Version"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\si.url"; 
Type: files; Name: "{app}\profiles\*.r1p"; 
Type: dirifempty; Name: "{app}\profiles"; 
Type: dirifempty; Name: "{app}"; 
Type: files; Name: "{app}\r1audio.dat"; 
Type: files; Name: "{app}\repton.ini"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
